cordova.define("cordova-plugin-hand-ble.BluetoothPlugin", function(require, exports, module) {
var argscheck = require('cordova/argscheck'),
    exec = require('cordova/exec');

exports.getble = function( success, error,data) {
    exec(success, error, "bleCordova", "getble", data);
};

exports.rechargeble = function( success, error,ApCommand,pinCommand,initCommand,url,token) {
   exec(success, error, "bleCordova", "rechargeble", [ApCommand,pinCommand,initCommand,url,token]);
};

exports.rechargeICble = function( success, error,url,token) {
   exec(success, error, "bleCordova", "rechargeICble", [url,token]);
};


exports.rechargeble2 = function( success, error,ApCommand,pinCommand,initCommand,rushCommdand,url,url2,url3,token,url4,userNumberCommdand,remainingCommdand) {
   exec(success, error, "bleCordova", "rechargeble2", [ApCommand,pinCommand,initCommand,rushCommdand,url,url2,url3,token,url4,userNumberCommdand,remainingCommdand]);
};


exports.additionble = function( success, error,ApCommand,pinCommand,initCommand,url,token,type) {
   exec(success, error, "bleCordova", "additionble", [ApCommand,pinCommand,initCommand,url,token,type]);
};

exports.checkCard = function( success, error) {
    exec(success, error, "bleCordova", "checkCard", []);
};

/**
 *  IC卡蓝牙卡套领取补贴
 */
exports.writeAllowanceInICCard = function( success, error,url,token,type) {
    exec(success, error, "bleCordova", "writeAllowanceInICCard", [url,token,type]);
};

/**
 * cpu卡应用二次更新
 */
exports.updateCPUCardForTwoTimes = function( success, error,url1,url2,token,infoId,ApCommand) {
    exec(success, error, "bleCordova", "updateCPUCardForTwoTimes", [url1,url2,token,infoId,ApCommand]);
};

/**
 *
 * @param success
 * @param error
 * @param gasCommandArray
 * @param amountCommandArray
 */
exports.bleGetPublic = function( success, error,gasCommandArray,amountCommandArray) {

  argscheck.checkArgs('fFAA', 'cordova.plugins.ble.bleGetPublic', arguments);
  var getValue = argscheck.getValue;
  var gasCMDarray = getValue(gasCommandArray, []);
  var amountCMDarray = getValue(amountCommandArray, []);

  exec(success, error, "bleCordova", "bleGetPublic", [gasCMDarray,amountCMDarray]);
};


/**
 * 公共服务 cpu卡 充值
 * @param success
 * @param error
 * @param ApCommand
 * @param pinCommand
 * @param initCommand
 * @param rushCommdand
 * @param confirmUrl
 * @param secondConfirmUrl
 * @param reverseUrl
 * @param thirdConfirmurl
 * @param token
 */
exports.bleRecharge2Public = function( success, error,ApCommand,pinCommand,initCommand,rushCommdand,confirmUrl,secondConfirmUrl,reverseUrl,thirdConfirmurl,token) {
  argscheck.checkArgs('fFSSSSSSSSS', 'cordova.plugins.ble.bleRecharge2Public', arguments);
  var getValue = argscheck.getValue;
  
  ApCommand = getValue(ApCommand, "");
  pinCommand = getValue(pinCommand, "");
  initCommand = getValue(initCommand, "");
  rushCommdand = getValue(rushCommdand, "");

    confirmUrl = getValue(confirmUrl, "");
    secondConfirmUrl = getValue(secondConfirmUrl, "");
  reverseUrl = getValue(reverseUrl, "");
  thirdConfirmurl = getValue(thirdConfirmurl, "");
  token = getValue(token, "");

  exec(success, error, "bleCordova", "bleRecharge2Public", [ApCommand,pinCommand,initCommand,rushCommdand,confirmUrl,secondConfirmUrl,reverseUrl,thirdConfirmurl,token]);
};

});
